Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcPreparedStatement

    java.lang.Object
      |
      +--org.hsqldb.jdbcStatement
            |
            +--org.hsqldb.jdbcPreparedStatement

public class jdbcPreparedStatement
extends jdbcStatement
implements CallableStatement, PreparedStatement

Constructor Summary
`(package private)` | `jdbcPreparedStatement(org.hsqldb.jdbcConnection , java.lang.String )`

Method Summary
`void` | `addBatch()`
`void` | `clearParameters()`
`boolean` | `execute()`
`java.sql.ResultSet` | `executeQuery()`
`int` | `executeUpdate()`
`java.sql.Array` | `getArray(int )`
`java.math.BigDecimal` | `getBigDecimal(int , int )`
`java.math.BigDecimal` | `getBigDecimal(int )`
`java.sql.Blob` | `getBlob(int )`
`boolean` | `getBoolean(int )`
`byte` | `getByte(int )`
`byte[]` | `getBytes(int )`
`java.sql.Clob` | `getClob(int )`
`java.sql.Date` | `getDate(int )`
`java.sql.Date` | `getDate(int , java.util.Calendar )`
`double` | `getDouble(int )`
`float` | `getFloat(int )`
`int` | `getInt(int )`
`long` | `getLong(int )`
`java.sql.ResultSetMetaData` | `getMetaData()`
`java.lang.Object` | `getObject(int )`
`java.lang.Object` | `getObject(int , java.util.Map )`
`java.sql.Ref` | `getRef(int )`
`short` | `getShort(int )`
`java.lang.String` | `getString(int )`
`java.sql.Time` | `getTime(int )`
`java.sql.Time` | `getTime(int , java.util.Calendar )`
`java.sql.Timestamp` | `getTimestamp(int )`
`java.sql.Timestamp` | `getTimestamp(int , java.util.Calendar )`
`void` | `registerOutParameter(int , int )`
`void` | `registerOutParameter(int , int , int )`
`void` | `registerOutParameter(int , int , java.lang.String )`
`void` | `setArray(int , java.sql.Array )`
`void` | `setAsciiStream(int , java.io.InputStream , int )`
`void` | `setBigDecimal(int , java.math.BigDecimal )`
`void` | `setBinaryStream(int , java.io.InputStream , int )`
`void` | `setBlob(int , java.sql.Blob )`
`void` | `setBoolean(int , boolean )`
`void` | `setByte(int , byte )`
`void` | `setBytes(int , byte[] )`
`void` | `setCharacterStream(int , java.io.Reader , int )`
`void` | `setClob(int , java.sql.Clob )`
`void` | `setDate(int , java.sql.Date )`
`void` | `setDate(int , java.sql.Date , java.util.Calendar )`
`void` | `setDouble(int , double )`
`void` | `setFloat(int , float )`
`void` | `setInt(int , int )`
`void` | `setLong(int , long )`
`void` | `setNull(int , int )`
`void` | `setNull(int , int , java.lang.String )`
`void` | `setObject(int , java.lang.Object , int , int )`
`void` | `setObject(int , java.lang.Object , int )`
`void` | `setObject(int , java.lang.Object )`
`void` | `setRef(int , java.sql.Ref )`
`void` | `setShort(int , short )`
`void` | `setString(int , java.lang.String )`
`void` | `setTime(int , java.sql.Time )`
`void` | `setTime(int , java.sql.Time , java.util.Calendar )`
`void` | `setTimestamp(int , java.sql.Timestamp )`
`void` | `setTimestamp(int , java.sql.Timestamp , java.util.Calendar )`
`void` | `setUnicodeStream(int , java.io.InputStream , int )`
`boolean` | `wasNull()`

Methods inherited from class org.hsqldb.jdbcStatement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, executeBatch, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### jdbcPreparedStatement

    jdbcPreparedStatement(org.hsqldb.jdbcConnection , java.lang.String )

Method Detail

### addBatch

    public void addBatch()

### clearParameters

    public void clearParameters()

### execute

    public boolean execute()

### executeQuery

    public java.sql.ResultSet executeQuery()

### executeUpdate

    public int executeUpdate()

### getArray

    public java.sql.Array getArray(int )

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int , int )

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int )

### getBlob

    public java.sql.Blob getBlob(int )

### getBoolean

    public boolean getBoolean(int )

### getByte

    public byte getByte(int )

### getBytes

    public byte[] getBytes(int )

### getClob

    public java.sql.Clob getClob(int )

### getDate

    public java.sql.Date getDate(int )

### getDate

    public java.sql.Date getDate(int , java.util.Calendar )

### getDouble

    public double getDouble(int )

### getFloat

    public float getFloat(int )

### getInt

    public int getInt(int )

### getLong

    public long getLong(int )

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()

### getObject

    public java.lang.Object getObject(int )

### getObject

    public java.lang.Object getObject(int , java.util.Map )

### getRef

    public java.sql.Ref getRef(int )

### getShort

    public short getShort(int )

### getString

    public java.lang.String getString(int )

### getTime

    public java.sql.Time getTime(int )

### getTime

    public java.sql.Time getTime(int , java.util.Calendar )

### getTimestamp

    public java.sql.Timestamp getTimestamp(int )

### getTimestamp

    public java.sql.Timestamp getTimestamp(int , java.util.Calendar )

### registerOutParameter

    public void registerOutParameter(int , int )

### registerOutParameter

    public void registerOutParameter(int , int , int )

### registerOutParameter

    public void registerOutParameter(int , int , java.lang.String )

### setArray

    public void setArray(int , java.sql.Array )

### setAsciiStream

    public void setAsciiStream(int , java.io.InputStream , int )

### setBigDecimal

    public void setBigDecimal(int , java.math.BigDecimal )

### setBinaryStream

    public void setBinaryStream(int , java.io.InputStream , int )

### setBlob

    public void setBlob(int , java.sql.Blob )

### setBoolean

    public void setBoolean(int , boolean )

### setByte

    public void setByte(int , byte )

### setBytes

    public void setBytes(int , byte[] )

### setCharacterStream

    public void setCharacterStream(int , java.io.Reader , int )

### setClob

    public void setClob(int , java.sql.Clob )

### setDate

    public void setDate(int , java.sql.Date )

### setDate

    public void setDate(int , java.sql.Date , java.util.Calendar )

### setDouble

    public void setDouble(int , double )

### setFloat

    public void setFloat(int , float )

### setInt

    public void setInt(int , int )

### setLong

    public void setLong(int , long )

### setNull

    public void setNull(int , int )

### setNull

    public void setNull(int , int , java.lang.String )

### setObject

    public void setObject(int , java.lang.Object , int , int )

### setObject

    public void setObject(int , java.lang.Object , int )

### setObject

    public void setObject(int , java.lang.Object )

### setRef

    public void setRef(int , java.sql.Ref )

### setShort

    public void setShort(int , short )

### setString

    public void setString(int , java.lang.String )

### setTime

    public void setTime(int , java.sql.Time )

### setTime

    public void setTime(int , java.sql.Time , java.util.Calendar )

### setTimestamp

    public void setTimestamp(int , java.sql.Timestamp )

### setTimestamp

    public void setTimestamp(int , java.sql.Timestamp , java.util.Calendar )

### setUnicodeStream

    public void setUnicodeStream(int , java.io.InputStream , int )

### wasNull

    public boolean wasNull()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD